<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Nuix SDK – Release Notes</title>
    <link>/getting-started/rest/release_notes.html</link>
    <description>Recent content in Release Notes on Nuix SDK</description>
    <generator>Hugo -- gohugo.io</generator>
    <language>en-us</language>
    <lastBuildDate>Tue, 27 Jul 2021 00:00:00 +0000</lastBuildDate>
    
	  <atom:link href="/getting-started/rest/release_notes/index.xml" rel="self" type="application/rss+xml" />
    
    
      
        
      
    
    
    <item>
      <title>Getting Started: Version 9.4 Release Notes</title>
      <link>/getting-started/rest/release_notes/restful_service_v9.4.html</link>
      <pubDate>Tue, 27 Jul 2021 00:00:00 +0000</pubDate>
      
      <guid>/getting-started/rest/release_notes/restful_service_v9.4.html</guid>
      <description>
        
        
        &lt;h2 id=&#34;nuix-engine&#34;&gt;Nuix Engine&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service has been updated to use version 9.4 of the Nuix Engine. Details about what is included with this update can be found in the v9.4 &lt;a href=&#34;https://download.nuix.com/releases/desktop&#34;&gt;changelog&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;nuix-collector-for-microsoft-365&#34;&gt;Nuix Collector for Microsoft 365&lt;/h2&gt;
&lt;!---TLPOTASH-256--&gt;
&lt;p&gt;Nuix RESTful Service now supports the ability to ingest data directly from Microsoft Office 365 using the following new processing endpoint.&lt;/p&gt;
&lt;p&gt;&lt;code&gt;POST /cases/{caseId}/evidence/ms365&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;Using the new endpoint in conjunction with your Microsoft tenant and the Microsoft Graph API, you can now access data from the following Office 365 applications:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Teams
&lt;ul&gt;
&lt;li&gt;Threaded channel and private messages&lt;/li&gt;
&lt;li&gt;Attachments&lt;/li&gt;
&lt;li&gt;Calendars&lt;/li&gt;
&lt;/ul&gt;
&lt;/li&gt;
&lt;li&gt;Exchange
&lt;ul&gt;
&lt;li&gt;Email&lt;/li&gt;
&lt;li&gt;Contacts&lt;/li&gt;
&lt;/ul&gt;
&lt;/li&gt;
&lt;li&gt;SharePoint
&lt;ul&gt;
&lt;li&gt;Sites&lt;/li&gt;
&lt;li&gt;Subsites&lt;/li&gt;
&lt;li&gt;Lists (Retrieval of list attachments is not supported.)&lt;/li&gt;
&lt;/ul&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;For more information, see &lt;a href=&#34;../../../getting-started/rest/office365.html&#34;&gt;Ingesting from Microsoft Office 365&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;access&#34;&gt;Access&lt;/h2&gt;
&lt;!---(TLPOTASH-76)--&gt;
&lt;p&gt;Nuix RESTful Service now supports the ability to configure specific license server types during installation. Supported server types include:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;Nuix Management Server (NMS)&lt;/li&gt;
&lt;li&gt;Relay server with NMS users&lt;/li&gt;
&lt;li&gt;Relay server with CLS users&lt;/li&gt;
&lt;li&gt;Cloud License Server (CLS)&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;For more information, see &lt;a href=&#34;../configuration/licenseconfiguration.html&#34;&gt;Licensing Configuration&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;culling&#34;&gt;Culling&lt;/h2&gt;
&lt;h3 id=&#34;item-sets&#34;&gt;Item sets&lt;/h3&gt;
&lt;!---(TLPOTASH-234)--&gt;
&lt;p&gt;The &lt;code&gt;GET /cases/{caseId}/itemSets/{itemSetName}/items&lt;/code&gt; endpoint has been enhanced to now support item marshaling through a new &lt;code&gt;optionsRequest&lt;/code&gt; parameter. The new parameter includes the following configurable options:&lt;/p&gt;
&lt;pre&gt;&lt;code&gt;{
  &amp;quot;caseId&amp;quot;: &amp;quot;string&amp;quot;,
  &amp;quot;query&amp;quot;: &amp;quot;string&amp;quot;,
  &amp;quot;startIndex&amp;quot;: 0,
  &amp;quot;numberOfRecordsRequested&amp;quot;: 100,
  &amp;quot;deduplicate&amp;quot;: &amp;quot;md5&amp;quot;,
  &amp;quot;metadataProfile&amp;quot;: &amp;quot;string&amp;quot;,
  &amp;quot;fieldList&amp;quot;: [
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;customMetadataList&amp;quot;: [
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;propertyList&amp;quot;: [
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;itemParameterizedFields&amp;quot;: [
    &amp;quot;string&amp;quot;
  ],
  &amp;quot;sortField&amp;quot;: &amp;quot;string&amp;quot;,
  &amp;quot;sortOrder&amp;quot;: &amp;quot;asc&amp;quot;
}
&lt;/code&gt;&lt;/pre&gt;&lt;h3 id=&#34;deprecated-endpoints&#34;&gt;Deprecated endpoints&lt;/h3&gt;
&lt;!---(TLPOTASH-246)--&gt; The following endpoints have been deprecated as they include a payload body which has no defined semantic meaning within a DELETE request:
&lt;ul&gt;
&lt;li&gt;&lt;code&gt;DELETE /cases/{caseId}/itemTags&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;DELETE /cases/{caseId}/tags&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;DELETE /cases/{caseId}/itemCustomMetadata&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;DELETE /cases/{caseId}/itemSets/{itemSetName}/items&lt;/code&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;The functionality of the deprecated DELETE endpoints has been integrated in the following new PATCH endpoints:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;&lt;code&gt;PATCH /cases/{caseId}/itemTags&lt;/code&gt;&lt;/dt&gt;
&lt;dd&gt;Create or remove tags from query items in bulk.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;&lt;code&gt;PATCH /cases/{caseId}/tags&lt;/code&gt;&lt;/dt&gt;
&lt;dd&gt;Create or delete tags for a case in bulk.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;&lt;code&gt;PATCH /cases/{caseId}/itemCustomMetadata&lt;/code&gt;&lt;/dt&gt;
&lt;dd&gt;Add or remove custom metadata on items in bulk.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;&lt;code&gt;PATCH /cases/{caseId}/itemSets/{itemSetName}/items&lt;/code&gt;&lt;/dt&gt;
&lt;dd&gt;Add or delete items to an item set in bulk.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;default-jvm-arguments&#34;&gt;Default JVM arguments&lt;/h2&gt;
&lt;!---(TLPOTASH-316)--&gt;The following JVM arguments are no longer required and have been removed from the default startup configuration of Nuix RESTful Service:
&lt;ul&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.processing.worker.timeout=3600&lt;/dt&gt;
&lt;dd&gt;Sets the timeout in seconds before an item is considered poisoned.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.region.enableIterruptChecking=true&lt;/dt&gt;
&lt;dd&gt;Controls whether interrupts are checked when data is read.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.storage.index.lazyLoadFields=false&lt;/dt&gt;
&lt;dd&gt;Minor search performance improvement.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.storage.index.readers=shared&lt;/dt&gt;
&lt;dd&gt;Minor search performance improvement.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.store.textIndexDirectoryType=mmap&lt;/dt&gt;
&lt;dd&gt;Specifies the type of directory to use.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;p&gt;The following JVM argument has been added:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;
&lt;dl&gt;
&lt;dt&gt;-Dnuix.worker.useNuixFs=false&lt;/dt&gt;
&lt;dd&gt;Controls whether to use Nuix fs for local or remote workers.&lt;/dd&gt;
&lt;/dl&gt;
&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;export&#34;&gt;Export&lt;/h2&gt;
&lt;ul&gt;
&lt;li&gt;
&lt;!---(TLPOTASH-29)--&gt; When generating thumbnails, if an export directory has not been defined, thumbnails will be exported to a default directory and a warning message will be logged.
&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;resolved-issues&#34;&gt;Resolved Issues&lt;/h2&gt;
&lt;!---TLPOTASH-356--&gt;
&lt;ul&gt;
&lt;li&gt;The &lt;code&gt;name&lt;/code&gt; parameter is now required within the request body of the &lt;code&gt;POST /cases/{caseId}/itemSets&lt;/code&gt; endpoint to prevent errors when creating a new item set.&lt;/li&gt;
&lt;/ul&gt;

      </description>
    </item>
    
    <item>
      <title>Getting Started: Version 9.2 Release Notes</title>
      <link>/getting-started/rest/release_notes/restful_service_v9.2.html</link>
      <pubDate>Tue, 20 Apr 2021 00:00:00 +0000</pubDate>
      
      <guid>/getting-started/rest/release_notes/restful_service_v9.2.html</guid>
      <description>
        
        
        &lt;h2 id=&#34;nuix-engine&#34;&gt;Nuix Engine&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service has been updated to use version 9.2 of the Nuix Engine. Details about what is included with this update can be found in the v9.2 &lt;a href=&#34;https://download.nuix.com/releases/desktop&#34;&gt;changelog&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;nuix-developer-documentation&#34;&gt;Nuix Developer Documentation&lt;/h2&gt;
&lt;p&gt;Nuix is proud to announce the introduction of the Nuix Developer Portal as a new source for online based Nuix SDK developer documentation.&lt;/p&gt;
&lt;p&gt;Access the portal to find the latest documentation for installing and configuring your instance of Nuix RESTful Service, API references, quick start guides, tutorials, code samples, and more.&lt;/p&gt;
&lt;p&gt;Visit &lt;a href=&#34;https://nuix.github.io/sdk-docs/latest/&#34;&gt;https://nuix.github.io/sdk-docs/latest/&lt;/a&gt; to access to the latest Nuix SDK developer documentation to help automate your workflows using the Nuix APIs.&lt;/p&gt;
&lt;h2 id=&#34;promote-to-nuix-discover&#34;&gt;Promote to Nuix Discover®&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service now supports the ability to export items from a Nuix case directly to an existing Nuix Discover SaaS case using the new Promote to Nuix Discover endpoint&lt;/p&gt;
&lt;p&gt;&lt;code&gt;/cases/{caseId}/promoteToDiscover/{discoverCaseId}&lt;/code&gt;&lt;/p&gt;
&lt;p&gt;With this endpoint, users can promote a subset of discoverable items to an existing Nuix Discover SaaS case for further analysis, review, and production.&lt;/p&gt;
&lt;h2 id=&#34;access&#34;&gt;Access&lt;/h2&gt;
&lt;p&gt;The &lt;code&gt;/authenticatedUsers/login&lt;/code&gt; endpoint has been updated to now accept both US and UK spellings of the &lt;code&gt;licenseShortName&lt;/code&gt; parameter. Accepted parameter spellings include:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;licenseShortName - (US)&lt;/li&gt;
&lt;li&gt;licenceShortName - (UK)&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;processing&#34;&gt;Processing&lt;/h2&gt;
&lt;p&gt;The default values associated with the &lt;code&gt;ProcessorSettings&lt;/code&gt; parameter have been updated to match the current version of the Nuix Engine.&lt;/p&gt;
&lt;h2 id=&#34;general-enhancements&#34;&gt;General Enhancements&lt;/h2&gt;
&lt;p&gt;The &lt;code&gt;Dnuix.executor.threads&lt;/code&gt; system property has been removed from the default startup java options used by Nuix RESTful service.&lt;/p&gt;
&lt;h2 id=&#34;resolved-issues&#34;&gt;Resolved Issues&lt;/h2&gt;
&lt;ul&gt;
&lt;li&gt;Nuix RESTful Service no longer sets a system path variable for the Nuix Engine in Windows based installations. This modification allows multiple instances of the Nuix Engine to coexist on the same machine.&lt;/li&gt;
&lt;li&gt;Instances where source evidence is missing or has been removed from a case are now indicated with the correct error message.&lt;/li&gt;
&lt;li&gt;An issue has been resolved that caused a null pointer exception to occur when making calls to the &lt;code&gt;/cases/{caseId}/thumbnails&lt;/code&gt; endpoint.&lt;/li&gt;
&lt;li&gt;&lt;code&gt;Nuix Server&lt;/code&gt; has been added as a valid Nuix license type that can be consumed by Nuix RESTful Service.&lt;/li&gt;
&lt;li&gt;Accessing the API Swagger documentation at &lt;code&gt;http://&amp;lt;serverName&amp;gt;:8080/nuix-restful-service/svc/docs&lt;/code&gt; no longer causes a 401 Unauthorized Error due to a &lt;code&gt;jsessionid&lt;/code&gt; being appended to the URL after redirect.&lt;/li&gt;
&lt;li&gt;Custom processing profiles are no longer ignored and replaced with default processing settings when using the Nuix Scripting API.&lt;/li&gt;
&lt;/ul&gt;

      </description>
    </item>
    
    <item>
      <title>Getting Started: Version 9.0 Release Notes</title>
      <link>/getting-started/rest/release_notes/restful_service_v9.0.html</link>
      <pubDate>Tue, 20 Apr 2021 00:00:00 +0000</pubDate>
      
      <guid>/getting-started/rest/release_notes/restful_service_v9.0.html</guid>
      <description>
        
        
        &lt;h2 id=&#34;nuix-engine&#34;&gt;Nuix Engine&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service has been updated to use version 9.0 of the Nuix Engine. Details about what is included with this update can be found in the v9.0 &lt;a href=&#34;https://download.nuix.com/releases/desktop/stable/9.0/9.0.4.454/docs/en/changelog.html&#34;&gt;changelog&lt;/a&gt;.&lt;/p&gt;
&lt;h2 id=&#34;java-11&#34;&gt;Java 11&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service has been upgraded to OpenJDK 11.&lt;/p&gt;
&lt;h2 id=&#34;elasticsearch-781&#34;&gt;Elasticsearch 7.8.1&lt;/h2&gt;
&lt;p&gt;Nuix RESTful Service has been updated to support Elasticsearch v7.8.1. To use existing Elasticsearch based Nuix cases, your Elasticsearch cluster must first be upgraded to v7.8.1.&lt;/p&gt;
&lt;p&gt;Refer to the &lt;a href=&#34;https://www.elastic.co/guide/en/elasticsearch/reference/7.8/restart-upgrade.html&#34;&gt;Elasticsearch Reference [7.8] documentation&lt;/a&gt; for details on performing this upgrade.&lt;/p&gt;


&lt;div class=&#34;alert alert-primary&#34; role=&#34;alert&#34;&gt;
&lt;h4 class=&#34;alert-heading&#34;&gt;Note&lt;/h4&gt;

    Nuix RESTful Service v9.0 is not compatible with earlier versions of Elasticsearch.

&lt;/div&gt;

&lt;h2 id=&#34;culling&#34;&gt;Culling&lt;/h2&gt;
&lt;p&gt;The &lt;code&gt;AsyncItemSetDelete&lt;/code&gt; function of the &lt;code&gt;/cases/{caseId}/itemSets/{itemSetName}&lt;/code&gt; endpoint has been modified to now function asynchronously.&lt;/p&gt;
&lt;h2 id=&#34;ocr-profile-details&#34;&gt;OCR Profile Details&lt;/h2&gt;
&lt;p&gt;A new OCR endpoint has been added that enables users to retrieve the template details of a specified OCR profile.&lt;/p&gt;
&lt;p&gt;&lt;code&gt;GET /ocrProfiles/{name}/details&lt;/code&gt;&lt;/p&gt;
&lt;h2 id=&#34;paginated-results&#34;&gt;Paginated Results&lt;/h2&gt;
&lt;p&gt;The &lt;code&gt;numberOfRecordsRequested&lt;/code&gt; parameter used by search-based endpoints has been modified to now return paginated results by default. This changes the previous default behavior which was to return all results at once. Calls to any of the following endpoints will now return results in increments of 100 by default. This value can be modified by updating the &lt;code&gt;numberOfRecordsRequested&lt;/code&gt; parameter with a custom value.&lt;/p&gt;
&lt;p&gt;Endpoints affected by this change include:&lt;/p&gt;
&lt;ul&gt;
&lt;li&gt;&lt;code&gt;/cases/{caseId}/clusterRuns/{clusterRunName}/items&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;/cases/{caseId}/itemSets/{itemSetName}/items&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;/cases/{caseId}/productionSets/{productionSetId}/items&lt;/code&gt;&lt;/li&gt;
&lt;li&gt;&lt;code&gt;/cases/{caseId}/search&lt;/code&gt;&lt;/li&gt;
&lt;/ul&gt;
&lt;h2 id=&#34;general-enhancements&#34;&gt;General Enhancements&lt;/h2&gt;
&lt;p&gt;All code and dependencies associated with the User Management Server (UMS) have been removed from Nuix RESTful Service as UMS is not functionally required for the operation of Nuix REST.&lt;/p&gt;
&lt;h2 id=&#34;resolved-issues&#34;&gt;Resolved Issues&lt;/h2&gt;
&lt;ul&gt;
&lt;li&gt;An issue has been resolved that prevented failed functions from returning a failure status.&lt;/li&gt;
&lt;li&gt;OCR text output is now immediately available to the case when an OCR function completes successfully.&lt;/li&gt;
&lt;li&gt;MD5 deduplicated requests to the &lt;code&gt;/v1/cases/{caseId}/count&lt;/code&gt; endpoint no longer generates a null pointer exception.&lt;/li&gt;
&lt;/ul&gt;

      </description>
    </item>
    
    <item>
      <title>Getting Started: Known Issues</title>
      <link>/getting-started/rest/release_notes/knownissues.html</link>
      <pubDate>Tue, 20 Apr 2021 00:00:00 +0000</pubDate>
      
      <guid>/getting-started/rest/release_notes/knownissues.html</guid>
      <description>
        
        
        &lt;h2 id=&#34;creating-item-sets&#34;&gt;Creating Item Sets&lt;/h2&gt;
&lt;p&gt;Creating an item set from a user-generated script where the query parameter is not defined automatically includes all items in the generated item set by default.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Workaround:&lt;/strong&gt;
To prevent all items from being included, ensure that the query parameter is defined with either a valid query or a null value to prevent all items from being included.&lt;/p&gt;
&lt;h2 id=&#34;ntlm-authentication&#34;&gt;NTLM Authentication&lt;/h2&gt;
&lt;p&gt;The use of NTLM authentication is no longer supported by Nuix. If NTLM authentication is used, an authentication token is always acquired when calling the PUT &lt;code&gt;/v1/authenticatedUsers/login&lt;/code&gt; endpoint.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Workaround:&lt;/strong&gt;
Nuix recommends using basic authentication with Nuix Management Server and Nuix RESTful Service.&lt;/p&gt;
&lt;h2 id=&#34;licence-description-parameter&#34;&gt;Licence Description Parameter&lt;/h2&gt;
&lt;p&gt;The &lt;code&gt;licenceDescription&lt;/code&gt; parameter used in conjunction with the &lt;code&gt;/v1/authenticatedUsers/login&lt;/code&gt; endpoint has been deprecated because the description associated with this parameter is subject to change. The &lt;code&gt;LicenseDescription&lt;/code&gt; parameter will be removed in a future release.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Workaround:&lt;/strong&gt;
The &lt;code&gt;licenceShortName&lt;/code&gt; parameter should be used in its place along with the license’s short name.&lt;/p&gt;
&lt;h2 id=&#34;cookies2dat&#34;&gt;Cookies2.dat&lt;/h2&gt;
&lt;p&gt;When a Nuix-generated cookies2.dat file is located in any &lt;code&gt;userDataDirs&lt;/code&gt; folder set in &lt;code&gt;nuix-restful-service.properties&lt;/code&gt;, an authentication token is always acquired when calling the PUT &lt;code&gt;/v1/authenticatedUsers/login&lt;/code&gt; endpoint.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Workaround:&lt;/strong&gt;
Nuix recommends periodically checking to ensure that this folder does not contain a cookies2.dat file.&lt;/p&gt;
&lt;h2 id=&#34;v1casescaseidkeystore-endpoint&#34;&gt;/v1/cases/{caseId}/keyStore Endpoint&lt;/h2&gt;
&lt;p&gt;The POST &lt;code&gt;/v1/cases/{caseId}/keyStore&lt;/code&gt; endpoint is still under development and not intended for customer use in this release.&lt;/p&gt;
&lt;h2 id=&#34;case-title-migration-issues&#34;&gt;Case Title Migration Issues&lt;/h2&gt;
&lt;p&gt;Cases that contain a comma (,) or dollar sign ($) in the title will fail the migration process to version 7.0.&lt;/p&gt;
&lt;p&gt;&lt;strong&gt;Workaround:&lt;/strong&gt;
Cases that have titles that include these symbols should be renamed prior to migration.&lt;/p&gt;

      </description>
    </item>
    
  </channel>
</rss>
